%define ver_major 0.8
%def_disable static

Name: startup-notification
Version: %ver_major
Release: alt1

Summary: Startup Notification Library
License: LGPL
Group: System/Libraries
URL: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# Automatically added by buildreq on Wed Aug 04 2004
BuildRequires: XFree86-devel-static gcc-c++ gcc-g77 libstdc++-devel

%description
Startup Notification Library

%package -n lib%name
Summary: Startup Notification Library
Group: Development/GNOME and GTK+

%description -n lib%name
This package contains startup-notification shared libraries.

%package -n lib%name-devel
Summary: Header and development libraries for %name
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header and development libraries for %name

%package -n lib%name-devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the lib%name static libraries.

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- 0.8

* Tue Aug 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Thu Apr 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6
- do not build devel-static subpackage by default.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt2
- do not package .la files.

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- 0.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- 0.4

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- First build for Sisyphus.
